// CHAppController.m -- controller object for PegSolitaire.  Handles
//                      various UI controls and coordinates between the
//                      model and view
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license


#import "CHAppController.h"
#import "CHTriangleBoard.h"
#import "CHCrossBoard.h"
#import "CHPegBoardView.h"

@implementation CHAppController

- (void) awakeFromNib
{
    pegBoard = [[CHTriangleBoard alloc] init];
    [pegBoardView setPegBoard: pegBoard];

} // awakeFromNib


- (void) dealloc
{
    [pegBoard release];

} // dealloc


- (IBAction) switchBoards: (id) sender
{
    if ([pegBoard isMemberOfClass: [CHTriangleBoard class]]) {
        [pegBoard release];
        pegBoard = [[CHCrossBoard alloc] init];
    } else {
        [pegBoard release];
        pegBoard = [[CHTriangleBoard alloc] init];
    }

    [pegBoardView setPegBoard: pegBoard];

} // switchBoards

@end // CHAppController


// $Id: CHAppController.m,v 1.2 2004/05/07 22:48:18 borkware Exp $
