// CHCrossBoard.m -- cross-shaped pegboard
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import "CHCrossBoard.h"

@implementation CHCrossBoard


- (int) rowCount
{
    return (9);
} // rowCount


- (int) pegsForRow: (int) row
{
    int count = 3;

    if (row == 3 || row == 4 || row == 5) {
        count = 9;
    }

    return (count);

} // pegsForRow


- (NSBezierPath *) pathForBoard
{
    NSBezierPath *path = [NSBezierPath bezierPath];

#define THIRD (1.0 / 3.0)
#define TWO_THIRD (THIRD * 2)

    [path moveToPoint: NSMakePoint (0.0, THIRD)];
    [path lineToPoint: NSMakePoint (0.0, TWO_THIRD)];
    [path lineToPoint: NSMakePoint (THIRD, TWO_THIRD)];
    [path lineToPoint: NSMakePoint (THIRD, 1.0)];
    [path lineToPoint: NSMakePoint (TWO_THIRD, 1.0)];
    [path lineToPoint: NSMakePoint (TWO_THIRD, TWO_THIRD)];
    [path lineToPoint: NSMakePoint (1.0, TWO_THIRD)];
    [path lineToPoint: NSMakePoint (1.0, THIRD)];
    [path lineToPoint: NSMakePoint (TWO_THIRD, THIRD)];
    [path lineToPoint: NSMakePoint (TWO_THIRD, 0.0)];
    [path lineToPoint: NSMakePoint (THIRD, 0.0)];
    [path lineToPoint: NSMakePoint (THIRD, THIRD)];

    [path closePath];

    return (path);

} // pathForBoard

@end // CHCrossBoard

/* $Id: CHCrossBoard.m,v 1.1 2004/05/07 22:25:20 borkware Exp $ */

