// CHPegBoard.h -- Model object for PegSolitaire.  Contains peg count, layout,
//                 and adjacency information.  Subclasses override methods to
//                 make custom board layouts
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import <Cocoa/Cocoa.h>

@interface CHPegBoard : NSObject
{

}

- (int) spaceCount;
- (int) maxRowSize;

// subclasses override these
- (int) rowCount;
- (int) pegsForRow: (int) row;

- (NSBezierPath *) pathForBoard;

@end // CHPegBoard


// $Id: CHPegBoard.h,v 1.6 2004/05/07 22:51:11 borkware Exp $
