// CHPegBoard.m -- View object for PegSolitaire.  Draws the board and pegs,
//                 and handles mouse events.
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import "CHPegBoard.h"

@implementation CHPegBoard


- (int) spaceCount
{
    int count = 0;
    int row;

    for (row = 0; row < [self rowCount]; row++) {
        count += [self pegsForRow: row];
    }

    return (count);

} // spaceCount


- (int) maxRowSize
{
    int max = 0;

    int row;
    for (row = 0; row < [self rowCount]; row++) {
        int count = [self pegsForRow: row];
        if (count > max) {
            count = max;
        }
    }

    return (row);

} // maxRowSize



- (NSBezierPath *) pathForBoard
{
    assert (!"CHPegBoard subclasses must provide their own pathForBoard method");
    return (nil);
} // pathForBoard


- (int) rowCount
{
    assert (!"CHPegBoard subclasses must provide their own rowCount method");
    return (0);
} // rowCount


- (int) pegsForRow: (int) row
{
    assert (!"CHPegBoard subclasses must provide their own pegsForRow method");
    return (0);
} // pegsForRow


@end // CHPegBoard

/* $Id: CHPegBoard.m,v 1.7 2004/05/07 22:51:11 borkware Exp $ */

