// CHPegBoard.h -- View object for PegSolitaire.  Draws the board and pegs,
//                 and handles mouse events.
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import <Cocoa/Cocoa.h>

#define PEG_COUNT 300

enum {
    CHPegBoard_NO_PEG = -1
};

@class PegBoard;

@interface CHPegBoardView : NSView
{
    BOOL pegStates[PEG_COUNT];	// YES - occupied, NO - empty
    NSBezierPath *pegPaths[PEG_COUNT];	// where the peg lives

    BOOL recalcPegPaths;
    int selectedPeg;

    NSImage *dragImage; // non-nil means we're in a drag
    int dragPeg;        // index of where the drag came from
                        // selectedPeg is what the mouse is currently over
    NSPoint dragPoint;  // where to draw the drag image
    NSPoint lastMouse;  // previous mouse coordinates

    CHPegBoard *pegBoard;
}

- (void) setPegBoard: (CHPegBoard *) pegBoard;

@end // CHPegBoard


// $Id: CHPegBoardView.h,v 1.1 2004/05/07 22:27:22 borkware Exp $
